.easi-tree-grid{width:100%;overflow-x:auto;white-space:nowrap;}
.easi-tree-grid > .easi-tree-grid-table{width:100%;border-collapse:collapse;border-spacing:0;color:#333;}


.easi-tree-grid > .easi-tree-grid-table > thead > tr > th{
	vertical-align:middle;text-align:center;border-bottom:1px solid #ccc;border-right:1px solid #ccc;
	border-top:1px solid  #000000; /* #4876ef 밝은파랑 - 공병기교체 */
	background-color:#f3f3f3;	min-width:70px;
}
.easi-tree-grid > .easi-tree-grid-table > thead > tr > th.easi-tree-grid-filter-row{padding:5px 6px;}
.easi-tree-grid > .easi-tree-grid-table > thead > tr > th > .easi-tree-grid-header-row-inner{width:100%;display:flex;padding:5px 6px;margin:0;align-items:center;}
.easi-tree-grid > .easi-tree-grid-table > thead > tr > th.allow-sorting{cursor:pointer;}
.easi-tree-grid > .easi-tree-grid-table > thead > tr > th.allow-sorting > .easi-tree-grid-header-row-inner,
.easi-tree-grid > .easi-tree-grid-table > thead > tr > th.asc > .easi-tree-grid-header-row-inner,
.easi-tree-grid > .easi-tree-grid-table > thead > tr > th.desc > .easi-tree-grid-header-row-inner{position:relative;padding-right:15px;}
.easi-tree-grid > .easi-tree-grid-table > thead > tr > th.asc > .easi-tree-grid-header-row-inner:after{
	font-family:"Font Awesome 5 Pro";content:"\f0de";-moz-osx-font-smoothing:grayscale;-webkit-font-smoothing:antialiased;display:flex;flex-direction:row;
	justify-content:center;align-items:center;font-style:normal;font-variant:normal;text-rendering:auto;font-size:14px;font-weight:900;width:15px;
	height:100%;position:absolute;top:0;right:0;padding-top:6px;
}
.easi-tree-grid > .easi-tree-grid-table > thead > tr > th.desc > .easi-tree-grid-header-row-inner:after{
	font-family:"Font Awesome 5 Pro";content:"\f0dd";-moz-osx-font-smoothing:grayscale;-webkit-font-smoothing:antialiased;display:flex;flex-direction:row;justify-content:center;
	align-items:center;font-style:normal;font-variant:normal;text-rendering:auto;font-size:14px;font-weight:900;width:15px;height:100%;
	position:absolute;top:0;right:0;padding-bottom:6px;
}

.easi-tree-grid > .easi-tree-grid-table > thead > tr > th > .easi-tree-grid-header-row-inner > .easi-tree-grid-header-row-checkbox-wrap{padding:0px 10px 0px 26px;}
.easi-tree-grid > .easi-tree-grid-table > thead > tr > th > .easi-tree-grid-header-row-inner > .easi-tree-grid-header-row-checkbox-wrap > input[type=checkbox]{margin:3px 0px !important;outline:none;}
.easi-tree-grid > .easi-tree-grid-table > thead > tr > th > .easi-tree-grid-header-row-inner > .easi-grid-header-row-content {flex-grow:1;}
.easi-tree-grid > .easi-tree-grid-table > thead > tr > th:last-child{border-right:none;}
.easi-tree-grid > .easi-tree-grid-table > thead > tr > th.easi-tree-grid-filter-row{border-top:#ccc;}
.easi-tree-grid > .easi-tree-grid-table > thead > tr > th.easi-tree-grid-filter-row > .easi-tree-grid-search-wrapper{width:100%;display:flex;}
.easi-tree-grid > .easi-tree-grid-table > thead > tr > th.easi-tree-grid-filter-row > .easi-tree-grid-search-wrapper > .search-text-input{
	flex:1;height:25px;border-radius:3px;border:1px solid #aaaaaa;font-weight:normal;
	color:#666;padding:0px 10px;border-top-right-radius:0px;border-bottom-right-radius:0px;outline:none;width:100%;
}
.easi-tree-grid > .easi-tree-grid-table > thead > tr > th.easi-tree-grid-filter-row > .easi-tree-grid-search-wrapper > .search-button{
	width:30px;height:25px;line-height:25px;outline:none;border-radius:3px;border-top-left-radius:0px;border-bottom-left-radius:0px;border:1px solid #aaa;
	border-left:0px;background:#efefef;cursor:pointer;
}
.easi-tree-grid > .easi-tree-grid-table > tbody > tr > td{vertical-align:middle;text-align:left;padding:6px 8px;border-bottom:1px solid #ccc;border-right:1px solid #ccc;background:#fff;}
.easi-tree-grid > .easi-tree-grid-table > tbody > tr > td:last-child{border-right:none;}
.easi-tree-grid > .easi-tree-grid-table > tbody > tr.easi-tree-grid-empty-row > td{text-align:center;}
.easi-tree-grid > .easi-tree-grid-table > tbody > tr > td > .easi-tree-grid-td-inner{width:100%;display:flex;padding:0;margin:0;align-items:center;}
.easi-tree-grid > .easi-tree-grid-table > tbody > tr > td > .easi-tree-grid-td-inner > .easi-tree-grid-icon-container {display:inline-block;}
.easi-tree-grid > .easi-tree-grid-table > tbody > tr > td > .easi-tree-grid-td-inner > .easi-tree-grid-icon-container > div{display:inline-block;text-align:center;vertical-align:middle;}
.easi-tree-grid > .easi-tree-grid-table > tbody > tr > td > .easi-tree-grid-td-inner > .easi-tree-grid-icon-container .easi-tree-grid-empty-space{height:18px;width:14px;}

.easi-tree-grid > .easi-tree-grid-table > tbody > tr > td > .easi-tree-grid-td-inner > .easi-tree-grid-icon-container .easi-tree-grid-icon:before{
	font-family:"Font Awesome 5 Pro";content:"-";-moz-osx-font-smoothing:grayscale;-webkit-font-smoothing:antialiased;display:inline-block;font-style:normal;font-variant:normal;
	text-rendering:auto;line-height:1;font-size:18px;font-weight:900;width:18px;
}
.easi-tree-grid > .easi-tree-grid-table > tbody > tr > td > .easi-tree-grid-td-inner > .easi-tree-grid-icon-container .easi-tree-grid-checkbox-wrap{
	padding:0px 10px 0px 6px;
}

.easi-tree-grid > .easi-tree-grid-table > tbody > tr > td > .easi-tree-grid-td-inner > .easi-tree-grid-icon-container .easi-tree-grid-checkbox-wrap > input[type=checkbox]{
	margin:3px 0px !important;
	outline:none;
}
.easi-tree-grid > .easi-tree-grid-table > tbody > tr.easi-tree-grid-expandable.easi-tree-grid-collapsed > td > .easi-tree-grid-td-inner > .easi-tree-grid-icon-container .easi-tree-grid-icon,
.easi-tree-grid > .easi-tree-grid-table > tbody > tr.easi-tree-grid-expandable.easi-tree-grid-expanded > td > .easi-tree-grid-td-inner > .easi-tree-grid-icon-container .easi-tree-grid-icon{
	cursor:pointer;
}
.easi-tree-grid > .easi-tree-grid-table > tbody > tr.easi-tree-grid-expandable.easi-tree-grid-collapsed > td > .easi-tree-grid-td-inner > .easi-tree-grid-icon-container .easi-tree-grid-icon:before{
	content:'\f0da';
	cursor:pointer;
}
.easi-tree-grid > .easi-tree-grid-table > tbody > tr.easi-tree-grid-expandable.easi-tree-grid-expanded > td > .easi-tree-grid-td-inner > .easi-tree-grid-icon-container .easi-tree-grid-icon:before{
	content:'\f0d7';
	cursor:pointer;
}
.easi-tree-grid > .easi-tree-grid-table > tbody > tr > td > .easi-tree-grid-td-inner > .easi-tree-grid-content {flex-grow:1;}

.easi-tree-grid > .easi-tree-grid-table > tbody > tr.search-result td{background:rgba(240, 255, 230, .5);}
.easi-tree-grid > .easi-tree-grid-table > tbody > tr.selected td{background:#eee;color:#333;}
.easi-tree-grid > .easi-tree-grid-table > tbody > tr.easi-tree-grid-hidden{display:none;}
.easi-tree-grid > .easi-tree-grid-table > tbody > tr > td.update-column, .easi-tree-grid > .easi-tree-grid-table > tbody > tr > td.delete-column{text-align:center;}

.easi-tree-grid > .easi-tree-grid-table > tbody > tr > td.update-column > button, .easi-tree-grid > .easi-tree-grid-table > tbody > tr > td.delete-column > button {border:none;background:transparent;outline:none;}